@charset "utf-8";

.title {
  display: flex;
  justify-content: center;
  align-items: center;
}

h1 {
  margin: 0;
  font-size: clamp(1.4rem, 2rem, 2.8rem);
  writing-mode: vertical-rl;
  letter-spacing: 20px;
  line-height: 3;
}


/* 温泉 */
.onsen-container {
  width: 90%;
  max-width: 1300px;
  margin: 0 auto;
  margin-bottom: 15rem;
}

.content {
  margin-bottom: 15rem;
}

.content img {
  width: 45%;
  height: auto;
  margin: 0 auto 5rem;
}

.content h2,
.content p {
  text-align: center;
}


.content h2::after {
  content: "";
  display: block;
  width: 200px;
  height: 1px;
  background-color: #b2b2b2;
  margin: 2rem auto;
}


/* 温泉のみ左右からのフェードイン設定 */
/* 左からフェードイン表示 */
.js_fadeLeft {
  opacity: 0;
  visibility: hidden;
  transform: translate(-70px, 0);
  transition: opacity 1s, visibility 1s, transform 2s;
  transition-delay: 0.4s;
  /*遅延をかける秒数 */
}

.inviewLeft {
  opacity: 1;
  visibility: visible;
  transform: translate(0px);
}

/* 右からフェードイン表示 */
.js_fadeRight {
  opacity: 0;
  visibility: hidden;
  transform: translate(70px, 0);
  transition: opacity 1s, visibility 1s, transform 2s;
  transition-delay: 0.4s;
  /*遅延をかける秒数 */
}

.inviewRight {
  opacity: 1;
  visibility: visible;
  transform: translate(0px);
}


/* ３つの湯 */
.flex {
  margin-bottom: 20rem;
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  gap: 4rem;
}

.flex h3 {
  letter-spacing: 8px;
  margin-bottom: 2rem;
}

.item1 {
  flex: 1 1 60%;
  max-width: 60%;
  height: auto;
}

.item2 {
  flex: 1 1 40%;
  max-width: 40%
}

.item1 img {
  width: 100%;
  height: 50vh;
  border: 1px solid #737373;
  padding: 1rem;
  object-fit: cover;
}


/* 大浴場 */
.bath {
  text-align: center;
  margin-bottom: 10rem;
}

.bath h3 {
  letter-spacing: 8px;
  margin-bottom: 2rem;
}

.bath img {
  width: 80%;
  height: 50vh;
  border: 1px solid #737373;
  padding: 1rem;
  margin: 4rem auto 13rem;
}

.bathtime {
  font-size: clamp(1.1rem, 2vw, 1.3rem);
  margin-top: 2rem;
}


/* 泉質・効能 */
.details h4,
.details p {
  text-align: center;
}

.details h4 {
  margin-bottom: 1rem;
}

.table1,
.table2 {
  width: 100%;
  font-size: clamp(1.2rem, 2vw, 1.5rem);
}

.table1 th,
.table2 th {
  width: 120px;
  line-height: 5;
  text-align: left;
  padding-left: 3rem;
}

.table1::before,
.table1::after,
.table2::after {
  content: "";
  display: block;
  width: 100%;
  height: 1px;
  background-color: #b2b2b2;
}


/* フッター */
.flex2 li:nth-of-type(4):hover {
  color: white;
}

.flex2 :nth-of-type(4)::after {
  content: "";
  display: block;
  width: 110px;
  height: 1px;
  background-color: #b2b2b2;
}



/* レスポンシブ設定 */
@media (max-width: 800px) {
  .scroll {
    display: none;
  }

  .title {
    width: 100%;
    border: none;
    margin: 0 auto 5rem;
    height: 70vh;
  }

  .title h1 {
    margin: 0 auto;
  }

  .onsen-container {
    width: 85%;
    margin: 0 auto 5rem;
  }

  .content h2 {
    font-size: 1.4rem;
    line-height: 1.5;
  }

  .content h2::after {
    width: 100px;
  }

  .content {
    margin-bottom: 10rem;
  }

  .content p {
    font-size: 1.3rem;
    text-align: left;
  }

  .content img {
    width: 75%;
    height: auto;
    margin-bottom: 2rem;
  }


  .flex {
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-bottom: 5rem;
    gap: 1rem;
  }

  .item1,
  .item2 {
    max-width: 100%;
  }


  .item1 img,
  .bath img {
    width: 100%;
    height: auto;
    padding: .5rem;
  }

  .bath img {
    margin: 2rem auto 0;
  }

  .item2 h3 {
    margin-bottom: 1rem;
  }

  .bathtime {
    margin-top: 1rem;
  }

  .bath {
    margin-bottom: 5rem;
  }

  .bath h3 {
    margin-bottom: 1rem;
  }

  .bath p {
    text-align: left;
  }

  .js_fadeRight {
    display: flex;
    flex-direction: column-reverse;
  }

  .details {
    margin-bottom: 2rem;
  }

  .details p {
    text-align: left;
  }

  .table1,
  .table2 {
    text-align: justify;
    line-height: 1.8;
  }

  .table1 th,
  .table2 th {
    width: 80px;
    width: 80px;
    padding-left: 0;
  }
}